Bug 2161655 - Namespace store fails to get created via the ODF UI
Summary: Namespace store fails to get created via the ODF UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Data Foundation
Classification: Red Hat Storage
Component: management-console
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ODF 4.11.6
Assignee: Timothy Asir
QA Contact: Sagi Hirshfeld
URL:
Whiteboard:
Depends On: 2158922 2161652
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-17 13:38 UTC by Sanjal Katiyar
Modified: 2023-12-08 04:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: For creating "NamespaceStore" using Filesystem, we need to pass PVC name to the CR's spec.nsfs.pvcName field. Instead of passing just the PVC name (string), UI was passing entire PVC object to the CR. Consequence: Error seen on the UI: "Error "Invalid value: "object": spec.nsfs.pvcName in body must be of type string "object" for field "spec.nsfs.pvcName" Fix: Pass the PVC name to the CR, instead of entire PVC object. Result: Working correctly after fixed in: ODF 4.13.0 ODF 4.12.1 ODF 4.11.6
Clone Of: 2161652
Environment:
Last Closed: 2023-03-14 15:20:44 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github red-hat-storage odf-console pull 615 0 None Merged Bug 2161655: [release-4.11] add pvcName to NSS instead of entire PVC CR 2023-02-15 07:43:08 UTC
Github red-hat-storage odf-console pull 638 0 None open Bug 2161655: [release-4.11-compatibility] add pvcName to NSS instead of entire PVC CR 2023-02-15 07:43:10 UTC
Red Hat Product Errata RHBA-2023:1230 0 None None None 2023-03-14 15:20:59 UTC

Comment 23 errata-xmlrpc 2023-03-14 15:20:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Red Hat OpenShift Data Foundation 4.11.6 Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2023:1230

Comment 24 Red Hat Bugzilla 2023-12-08 04:31:56 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.